Get Time Series
Get time-series analytics data with specified granularity.
Returns time-bucketed metrics including:
- timestamp: Start of each time bucket
- batch_count: Number of batches in this period
- task_count: Number of tasks in this period
- jobs_count: Number of jobs in this period (filtered by state if provided)
Access Control:
- Regular users: See only their owned or employed stores
- Superusers in a browser session: see all stores (API keys and MCP never act as superuser)
HTTPBearerAuthorizationBearer <token>start_date?|Start of time range (inclusive). Defaults to 30 days ago.
end_date?|End of time range (inclusive). Defaults to now.
granularity?AnalyticsGranularityAggregation period: hourly, daily, weekly, monthly
"daily""hourly""daily""weekly""monthly"store_id?|Filter to a specific store
state?|Filter jobs_count by state (pending, running, finished, error, cancelled)
Successful Response
application/json- response
Response schema for GET /analytics/time-series endpoint.
period*The overall time period
granularity*AnalyticsGranularityThe aggregation granularity
"hourly""daily""weekly""monthly"data*array<>Time series data points
curl -X GET 'https://app.copyhero.app/api/v1/analytics/time-series'{ "period": { "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z" }, "granularity": "hourly", "data": [ { "timestamp": "2019-08-24T14:15:22Z", "batch_count": 0, "task_count": 0, "jobs_count": 0 } ]}Get Store Revenue GET
Previous Page
Get Workflows GET
Get per-workflow (blueprint) execution statistics. Returns workflow-level metrics including: - blueprint_id: The workflow blueprint ID - blueprint_name: The workflow blueprint name - task_count: Number of tasks for this workflow - jobs_count: Number of jobs for this workflow (filtered by state if provided) Access Control: - Regular users: See only their owned or employed stores - Superusers in a browser session: see all stores (API keys and MCP never act as superuser)